Package opennlp.tools.cmdline.tokenizer

## Class SimpleTokenizerTool

- java.lang.Object
- - opennlp.tools.cmdline.CmdLineTool
  - - opennlp.tools.cmdline.BasicCmdLineTool
    - - opennlp.tools.cmdline.tokenizer.SimpleTokenizerTool

-     public final class SimpleTokenizerTool
      extends opennlp.tools.cmdline.BasicCmdLineTool

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleTokenizerTool()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getHelp()` |
    `String` | `getShortDescription()` |
    `boolean` | `hasParams()` |
    `void` | `run​(String[] args)` | Executes the tool with the given parameters.

    - ### Methods inherited from class opennlp.tools.cmdline.CmdLineTool

      `getName`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTokenizerTool

          public SimpleTokenizerTool()

  - ### Method Detail

    - #### getShortDescription

          public String getShortDescription()

      Overrides:
        `getShortDescription` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        Retrieves a short description of what the tool does

    - #### getHelp

          public String getHelp()

      Specified by:
        `getHelp` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        Retrieves a description on how to use the tool

    - #### hasParams

          public boolean hasParams()

      Overrides:
        `hasParams` in class `opennlp.tools.cmdline.CmdLineTool`
      Returns:
        Retrieves whether the tool has any command line params

    - #### run

          public void run​(String[] args)

      Description copied from class: `opennlp.tools.cmdline.BasicCmdLineTool`
      Executes the tool with the given parameters.
      Specified by:
        `run` in class `opennlp.tools.cmdline.BasicCmdLineTool`
      Parameters:
        `args` - arguments